package com.bonus.canteen.core.supply.purchase.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bonus.canteen.core.supply.purchase.domain.param.*;
import com.bonus.canteen.core.supply.purchase.domain.vo.*;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public interface DrpInquiryService {
   void cancelInquiry(DrpInquiryAddVO conyent);

   DrpInquiryAddVO saveInquiryAndDetails(DrpInquiryAddDTO content);

   DrpInquiryAddVO commitInquiryAndDetails(DrpInquiryAddDTO content);

   List<DrpInquiryPageVO> queryInquiry(DrpInquiryPageDTO content);

   void deleteNotCommitInquiry(DrpInquiryAddVO content);

   List<DrpSupplierQuoteVO> listSupplierQuote(String inquiryId);

   List<DrpFinalBidsQuotePageVO> finalBidsQuote(DrpFinalBidsDTO content);

   void commitFinalBids(DrpCommitFinalBidsDTO content);

   QuerySupplierQuoteVO querySupplierQuoteDetail(Long inquirySupplierId);

   void sendNotice(String content);

   void upload(DrpQuoteInquiryPicDTO content);
}
